#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	Desktop-independent theme switcher for GTK+
Summary(pl.UTF-8):	Niezależny od środowiska przełącznik motywów dla GTK+
Name:		lxappearance
Version:	0.6.3
Release:	3
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	f10345313e2c12bad51c1b58bd46b454
URL:		http://wiki.lxde.org/en/LXAppearance
BuildRequires:	dbus-devel >= 0.95
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0
%{!?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	dbus-libs >= 0.95
Requires:	dbus-glib >= 0.70
%{!?with_gtk2:Requires:	gtk+2 >= 2:2.12.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXAppearance is part of LXDE project. It's a desktop-independent theme
switcher for GTK+.

%description -l pl.UTF-8
LXAppearance to część projektu LXDE. Jest to niezależny od środowiska
przełącznik motywów dla GTK+.

%package devel
Summary:	Header files for lxappearance plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek lxappearance
Group:		Development/Libraries
Requires:	glib2-devel >= 2.0
%{!?with_gtk2:Requires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:Requires:	gtk+3-devel >= 3.0.0}
# doesn't require base

%description devel
Header files for lxappearance plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek lxappearance.

%prep
%setup -q

%build
%configure \
	--enable-dbus \
	%{?with_gtk3:--enable-gtk3} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# directory for plugins
install -d $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/lxappearance
%dir %{_libdir}/lxappearance
%dir %{_libdir}/lxappearance/plugins
%{_mandir}/man1/lxappearance.1*
%{_desktopdir}/lxappearance.desktop
%{_datadir}/lxappearance

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/lxappearance
%{_includedir}/lxappearance/lxappearance.h
%{_pkgconfigdir}/lxappearance.pc
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxappearance.git;a=log;h=master

* Mon Apr 22 2024 Marcin Krol <hawk@tld-linux.org> 1b67286
- build with gtk3 by default

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 15dca15
- pl, cleanups, -devel doesn't require base; release 2

* Wed Nov 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 662ff1b
- up to 0.6.3

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 58207eb
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 44f5628
- updated gettext BR

* Sun Feb 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c80bfe8
- up to 0.5.5

* Thu Jan 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d40f8ab
- 0.5.4

* Thu Jan 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1cd48cc
- up to 0.5.4

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> df4f398
- disable visibility in MATE; mate has own tool for this

* Sat Jun 02 2012 witekfl <witekfl@pld-linux.org> dcee171
- 0.5.2
- verbose build

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> a4f5940
- install plugins dir

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 68490b4
- remove tt_RU locale dir, gtk3 bcond

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> da7065c
- up to 0.5.1

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> 5c104ac
- up to 0.5.0, add -devel package

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> bd9ecf2
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> f252972
- ws cleanup

* Sat Jul 31 2010 Karol Krenski <charles@pld-linux.org> c717235
- BR: gettext-devel, intltool, pkgconfig

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 0406914
- new

